CVE-2016-4222

Use-after-free vulnerability in Adobe Flash Player before 18.0.0.366 and 19.x through 22.x before 22.0.0.209 on Windows and OS X and before 11.2.202.632 on Linux allows attackers to execute arbitrary code via unspecified vectors, a different vulnerability than CVE-2016-4173, CVE-2016-4174, CVE-2016-4226, CVE-2016-4227, CVE-2016-4228, CVE-2016-4229, CVE-2016-4230, CVE-2016-4231, and CVE-2016-4248.
Configurations

Configuration 1 (hide)

AND
cpe:2.3:a:adobe:flash_player_desktop_runtime:*:*:*:*:*:*:*:*
OR cpe:2.3:o:apple:mac_os_x:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 2 (hide)

AND
cpe:2.3:a:adobe:flash_player:*:*:*:*:esr:*:*:*
OR cpe:2.3:o:apple:mac_os_x:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 3 (hide)

AND
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:chrome:*:*
OR cpe:2.3:o:apple:mac_os_x:-:*:*:*:*:*:*:*
cpe:2.3:o:google:chrome_os:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 4 (hide)

AND
OR cpe:2.3:a:adobe:flash_player:*:*:*:*:*:internet_explorer:*:*
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:edge:*:*
OR cpe:2.3:o:microsoft:windows_10:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows_8.1:-:*:*:*:*:*:*:*

Configuration 5 (hide)

AND
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*

History

25 Jan 2023, 22:05

Type Values Removed Values Added
References (GENTOO) https://security.gentoo.org/glsa/201607-03 - (GENTOO) https://security.gentoo.org/glsa/201607-03 - Third Party Advisory
References (SUSE) http://lists.opensuse.org/opensuse-security-announce/2016-07/msg00017.html - (SUSE) http://lists.opensuse.org/opensuse-security-announce/2016-07/msg00017.html - Broken Link, Third Party Advisory
References (MS) https://docs.microsoft.com/en-us/security-updates/securitybulletins/2016/ms16-093 - (MS) https://docs.microsoft.com/en-us/security-updates/securitybulletins/2016/ms16-093 - Patch, Third Party Advisory
References (MISC) http://www.zerodayinitiative.com/advisories/ZDI-16-425 - (MISC) http://www.zerodayinitiative.com/advisories/ZDI-16-425 - Third Party Advisory, VDB Entry
References (REDHAT) https://access.redhat.com/errata/RHSA-2016:1423 - (REDHAT) https://access.redhat.com/errata/RHSA-2016:1423 - Third Party Advisory
References (SECTRACK) http://www.securitytracker.com/id/1036280 - (SECTRACK) http://www.securitytracker.com/id/1036280 - Broken Link, Third Party Advisory, VDB Entry
References (SUSE) http://lists.opensuse.org/opensuse-security-announce/2016-07/msg00016.html - (SUSE) http://lists.opensuse.org/opensuse-security-announce/2016-07/msg00016.html - Broken Link, Third Party Advisory
References (BID) http://www.securityfocus.com/bid/91719 - (BID) http://www.securityfocus.com/bid/91719 - Broken Link, Third Party Advisory, VDB Entry
CPE cpe:2.3:o:microsoft:windows_10:*:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:*
cpe:2.3:o:google:chrome_os:*:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows_8.1:*:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*
cpe:2.3:o:google:chrome_os:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows_8.1:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows_10:-:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player_desktop_runtime:*:*:*:*:*:*:*:*
CWE NVD-CWE-Other CWE-416
First Time Adobe flash Player Desktop Runtime

Information

Published : 2016-07-13 02:00

Updated : 2023-01-25 22:05


NVD link : CVE-2016-4222

Mitre link : CVE-2016-4222


JSON object : View

Products Affected

adobe

  • flash_player
  • flash_player_desktop_runtime

microsoft

  • windows_10
  • windows
  • windows_8.1

apple

  • mac_os_x

google

  • chrome_os

linux

  • linux_kernel
CWE
CWE-416

Use After Free